import { Notes } from "../../../../models/index.js";
import { getApId } from "../../type.js";
import deleteNote from "../../../../services/note/delete.js";
export const undoAnnounce = async (actor, activity)=>{
    const uri = getApId(activity);
    const note = await Notes.findOneBy({
        uri,
        userId: actor.id
    });
    if (!note) return "skip: no such Announce";
    await deleteNote(actor, note);
    return "ok: deleted";
};
